Subject: bug#29198: Cursor fringe arrow indicator not updating.

From: Keith David Bershatsky <[email-masked]>
Date: Thu, 09 Nov 2017 20:19:08 -0800

Thank you, Eli.

I have tested the patch with a current version of Emacs 26 branch and am able to verify that this feature is working well, and the prior issue with the lag has been rectified.

Great job!

Keith

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

DATE:  [11-09-2017 08:29:14] <09 Nov 2017 18:29:14 +0200>
FROM:  Eli Zaretskii <[email-masked]>
> 
> * * *
> 
> Thanks.  Meanwhile I also arrived at the conclusion that this is a
> bug, because the same recipe does work on TTY frames.
> 
> Of course, reverting the above changes is not the solution, because as
> you yourself noticed, it caused redisplay to be significantly
> snappier.  The problem with those changes is that they opened the path
> for the code to use redisplay optimizations when overlay-arrows are
> displayed, which (the optimizations) are incompatible with
> overlay-arrow display.  So the correct solution would be to disable
> those optimizations when overlay-arrows are displayed in the buffer.
> Which I just did.
> 
> Thanks.